#ifndef SHARED_H
#define SHARED_H

#include "pidir.h"
#include "piscreen.h"
#include "piscreentiles.h"

static const char pisd_prefix[] = "_pisd_";

using namespace PIScreenTypes;

PIString readableTime(const PITime & t);

PIString askUserInput(const PIString & desc);
bool askQuestion(const PIString & t);
void showInfo(const PIString & t);
void removeFiles(const PIDir & dir, PIStringList l);
bool cryptFiles(const PIDir & dir, PIStringList l, const PIByteArray & secret);
bool cryptFile(const PIString & path, const PIByteArray & secret);

#endif // SHARED_H
